import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_jiopay_pg_uat/flutter_jiopay_pg_uat.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_jiopay_pg_uat');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterJiopayPgUat.platformVersion, '42');
  });
}
